Subject: About hpfCompiler-1.77

From: Zheng Gengbin <[email-masked]>
Date: Wed, 28 May 1997 21:49:26 +0800 (EAT)

I found several problems in this new version , first trans0 cannot be
compiled due to the replicated definition of function define_shadow_amount()
in file ghost.C & frefop.C . After I deleted the one in frefop.C , trans0 
will core dump on many files which can be parsed by old version .
	The problem is in function forall_carry_dependent() in reference.C.

	Again , now the temp2.f ( which is generated by generator ) can
be compiled , but the new Adlib cannot run it correctly , I think the
problem is in remap , because if I commented out the remap , it can be run
successfully .
	The temp2.f is simplified as:

        program main
        real x(2:99),y(100)
!HPF$   PROCESSORS P(4)
!HPF$   TEMPLATE        TX(400),TY(-200:199)
!HPF$   DISTRIBUTE TX(BLOCK) ONTO P
!HPF$   DISTRIBUTE TY(BLOCK) ONTO P
!HPF$   ALIGN X(I) WITH TX(2*I+1)
!HPF$   ALIGN Y(I) WITH TY(3*I-150)
        FORALL(I=2:99)  X(I)=Y(I+1)
        END

Gengbin